autogen: if $NOCONFIGURE is set, do not run the configure script.

This commit is contained in:
Jehan 2014-11-05 20:11:58 +01:00
parent e629f4c14b
commit 6915ffaf05
1 changed files with 23 additions and 19 deletions

View File

@ -231,17 +231,19 @@ test $TEST_TYPE $FILE || {
}
echo
echo "I am going to run ./configure with the following arguments:"
echo
echo " $AUTOGEN_CONFIGURE_ARGS $@"
echo
if test -z "$*"; then
echo "If you wish to pass additional arguments, please specify them "
echo "on the $0 command line or set the AUTOGEN_CONFIGURE_ARGS "
echo "environment variable."
if test -z "$NOCONFIGURE"; then
echo
echo "I am going to run ./configure with the following arguments:"
echo
echo " $AUTOGEN_CONFIGURE_ARGS $@"
echo
if test -z "$*"; then
echo "If you wish to pass additional arguments, please specify them "
echo "on the $0 command line or set the AUTOGEN_CONFIGURE_ARGS "
echo "environment variable."
echo
fi
fi
@ -299,13 +301,15 @@ intltoolize --automake || exit $?
cd $ORIGDIR
$srcdir/configure $AUTOGEN_CONFIGURE_ARGS "$@"
RC=$?
if test $RC -ne 0; then
echo
echo "Configure failed or did not finish!"
exit $RC
fi
if test -z "$NOCONFIGURE"; then
$srcdir/configure $AUTOGEN_CONFIGURE_ARGS "$@"
RC=$?
if test $RC -ne 0; then
echo
echo "Configure failed or did not finish!"
exit $RC
fi
echo
echo "Now type 'make' to compile the $PROJECT."
echo
echo "Now type 'make' to compile the $PROJECT."
fi